Bug 446562 - User Tune (XEP-0118) shouldn't default on
User Tune (XEP-0118) shouldn't default on
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pidgin (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 23:35 EDT by daryl herzmann
Modified: 2008-12-15 08:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 08:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XML stanza (411 bytes, text/plain)
2008-05-14 23:58 EDT, daryl herzmann
no flags Details
Buddy List icon (4.14 KB, image/png)
2008-05-15 00:02 EDT, daryl herzmann
no flags Details

  None (edit)
Description daryl herzmann 2008-05-14 23:35:47 EDT
Hi,

This may be a goose chase and a waste of your time.  My appologies if so...

Sorry for the delay, but I got around to messing with the Pidgin in the RHEL5.2
beta channel (pidgin-2.3.1-1.el5).  I see this version has the badness of
automatically relaying user tune status's to the server and perhaps incorrectly
displaying those status for Jabber accounts :(

So my accounts appear with a tune icon next to them in the buddy lists.  While
this doesn't necessarily hurt anything, we are supposed to be using Pidgin for
professional activities and showing that we may be listening to tunes instead of
working is a problem....  Kind of lame I know,  even more lame is that Pidgin
sends these messages without an ability to turn them off! :)

thanks and sorry to whine,

daryl
Comment 1 daryl herzmann 2008-05-14 23:58:38 EDT
Created attachment 305437 [details]
XML stanza

XML stanza showing that I am not listening to music
Comment 2 daryl herzmann 2008-05-15 00:02:11 EDT
Created attachment 305438 [details]
Buddy List icon

Appearance on Buddy List with the rockin' tune.
Comment 3 Ethan Blanton 2008-05-15 00:03:02 EDT
Pidgin is not actually automatically setting your tune, it doesn't know how to
do that.  (An external plugin must notify it of the song you are listening to,
etc.)  However, there was a bug in all released versions up to and including
2.3.1 (fixed in 2.4.0) where Pidgin always reported the user tune attribute with
empty tune information.  This status will show regardless of whether or not you
are actually playing music, or have a plugin installed to inform Pidgin of such
information.

This was fixed in upstream revision a39fccd819e6dd09002cf3a2daa9d85fffa034e0:

http://developer.pidgin.im/viewmtn/revision/diff/ac040c5e99f54464b25a7cc17502c1d25413d9cb/with/a39fccd819e6dd09002cf3a2daa9d85fffa034e0

I don't know if this applies cleanly to 2.3.1; I suspect it does.

Ethan
Comment 4 daryl herzmann 2008-05-30 13:33:45 EDT
Hi Ethan,

Thanks for straightening out my ignorance.  Will look forward to future releases...

daryl
Comment 5 daryl herzmann 2008-11-03 11:56:28 EST
Greetings,

I suspect this ticket can be closed with 2.5.1 in for RHEL5.3 ?

thanks!
  daryl
Comment 6 Warren Togami 2008-11-23 14:14:17 EST
http://people.redhat.com/wtogami/temp/pidgin/
Daryl, could you please test the binary here and report back?
Comment 7 daryl herzmann 2008-11-23 14:52:31 EST
Hi Warren,

Hopefully I am not missing something obvious, but attempting to use your RPMs I get:

$ pidgin 
pidgin: symbol lookup error: pidgin: undefined symbol: gst_registry_fork_set_enabled

My system is fully updated RHEL 5.2 x86_64

daryl
Comment 8 Warren Togami 2008-11-23 16:34:06 EST
The buildroot turned out to be broken.  Waiting on someone else to fix it so I can rebuild a proper RHEL-5.2 test binary.
Comment 9 daryl herzmann 2008-11-25 13:29:12 EST
Hi Warren,

I tried the updated RPMs and this issue appears to be resolved.

daryl
Comment 12 errata-xmlrpc 2008-12-15 08:14:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-1023.html

Note You need to log in before you can comment on or make changes to this bug.